package modality;
import java.awt.Dialog;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class PreMustangModalDialogDemo {
    private static void constructGUI() {
        final JFrame parent = new JFrame("Main");
        parent.setLayout(new FlowLayout());
        parent.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        JButton showButton = new JButton("Show Modal Dialog");
        showButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                JDialog modalDialog = new JDialog(parent);
                modalDialog.setModal(true);
                modalDialog.setTitle("Modal Dialog");
                modalDialog.setBounds(300, 200, 300, 200);
                modalDialog.setVisible(true);
            }
        });
        parent.add(showButton);

        JButton helpButton = new JButton("Help");
        helpButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                JDialog dialog = new JDialog(parent);
                dialog.setTitle("Help");
                dialog.setBounds(400, 200, 300, 200);
                dialog.setVisible(true);
            }
        });
        parent.add(helpButton);
        parent.setBounds(100, 100, 300, 200);
        parent.setVisible(true);
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                constructGUI();
            }
        });
    }
}